#include <cstdio>
#include <algorithm>
#include <cmath>
#include <cstring>
#include <iostream>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    string a;
    cin>>a;
    int m, n;
    cin>>m>>n;
    if(abs(m-n)>1) cout<<"nemoguce";
    else if(m>n)
    {
        for(int i = 0; i<m+n; i++)
        {
            cout<<a[i%2];
        }
    }
    else
    {
        for(int i = 0; i<m+n; i++)
        {
            cout<<a[(i+1)%2];
        }
    }
    ///izuzetno takmicarski zadatak
    return 0;
}